_Ecore_Exe_Event_Data Struct Reference

Ecore exe event data structure. More...

`#include <ecore_exe_eo.legacy.h>`

## Data Fields

Efl_Object * | exe
| The handle to the process.
void * | data
| The raw binary data from the child process received.
int | size
| The size of this data in bytes.
Ecore_Exe_Event_Data_Line * | lines
| An array of line data if line buffered.

## Detailed Description

Ecore exe event data structure.

## Field Documentation

## exe

Efl_Object * _Ecore_Exe_Event_Data::exe

The handle to the process.

FIXME: should actually be Ecore.Exe, workaround cyclic

## lines

Ecore_Exe_Event_Data_Line * _Ecore_Exe_Event_Data::lines

An array of line data if line buffered.

The last one has its line member set to `NULL`

Referenced by ecore_exe_event_data_free().